OpenOffice Eclipse Integration

From Apache OpenOffice Wiki
Jump to: navigation, search


The Eclipse integration aims at lowering the barriers to develop extensions for or URE based applications. This page will be an entry point to other documents on the plugins' use or development.


For the installation, please refer to the corresponding section in the Java component tutorial. The eclipse update site is located at

The minimum requirements for the latest version are:

  • Java 1.5 or newer
  • Eclipse 3.2 or newer
  • 2.0 or newer download
  • SDK 2.0.4 or newer download


This section is only a draft and needs to be much more detailled.

Package properties editor

In unstable version

Each extension project can contain a file describing the files to include in the extension package. This file could be edited in a special editor, like the one shown by this screenshot.

Pkg props editor.png



Miscellaneous notes

The CVS tags for the plugins versions will look like: API_OOEclipse_<plugin>_<version> where <version> is on the form 1_1_0 <plugin> could be one of:

  • Core: for the org.openoffice.ide.eclipse.core plugin
  • Java: for the plugin
  • Build: for the eclipse project.
Personal tools